io.vertx.ext.unit

## Interface TestCompletion

-     public interface TestCompletion

  This object provides callback-ability for the end of a test suite.
  Author:
    Julien Viet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `await()` Cause the current thread to wait until the test suite completes. If the current thread is interrupted, an exception will be thrown.
    `void` | `await(long timeoutMillis)` Cause the current thread to wait until the test suite completes with a configurable timeout. If completion times out or the current thread is interrupted, an exception will be thrown.
    `void` | `awaitSuccess()` Cause the current thread to wait until the test suite completes and succeeds. If the current thread is interrupted or the suite fails, an exception will be thrown.
    `void` | `awaitSuccess(long timeoutMillis)` Cause the current thread to wait until the test suite completes and succeeds with a configurable timeout. If completion times out or the current thread is interrupted or the suite fails, an exception will be thrown.
    `void` | `handler(Handler<AsyncResult<Void>> completionHandler)` Completion handler for the end of the test, the result is successful when all test cases pass otherwise it is failed.
    `boolean` | `isCompleted()`
    `boolean` | `isFailed()`
    `boolean` | `isSucceeded()`
    `void` | `resolve(Future future)` Completes the future when all test cases of the test suite passes, otherwise fails it.

- - ### Method Detail

    - #### resolve

          void resolve(Future future)

      Completes the future when all test cases of the test suite passes, otherwise fails it.
      Parameters:
        `future` - the future to resolve

    - #### isCompleted

          boolean isCompleted()

      Returns:
        true if the test suite completed

    - #### isSucceeded

          boolean isSucceeded()

      Returns:
        true if the test suite completed and succeeded

    - #### isFailed

          boolean isFailed()

      Returns:
        true if the test suite completed and failed

    - #### handler

          void handler(Handler<AsyncResult<Void>> completionHandler)

      Completion handler for the end of the test, the result is successful when all test cases pass otherwise it is failed.
      Parameters:
        `completionHandler` - the completion handler

    - #### await

          void await()

      Cause the current thread to wait until the test suite completes.

      If the current thread is interrupted, an exception will be thrown.

    - #### await

          void await(long timeoutMillis)

      Cause the current thread to wait until the test suite completes with a configurable timeout.

      If completion times out or the current thread is interrupted, an exception will be thrown.
      Parameters:
        `timeoutMillis` - the timeout in milliseconds

    - #### awaitSuccess

          void awaitSuccess()

      Cause the current thread to wait until the test suite completes and succeeds.

      If the current thread is interrupted or the suite fails, an exception will be thrown.

    - #### awaitSuccess

          void awaitSuccess(long timeoutMillis)

      Cause the current thread to wait until the test suite completes and succeeds with a configurable timeout.

      If completion times out or the current thread is interrupted or the suite fails, an exception will be thrown.
      Parameters:
        `timeoutMillis` - the timeout in milliseconds

Copyright © 2015. All Rights Reserved.